> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform a one-click purchase

> Initiate a one-click purchase for a given Price Point using the user's saved payment method.



## OpenAPI

````yaml /swagger/openapi-billing.json post /checkout/one_click
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Billing API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /checkout/one_click:
    post:
      tags:
        - Checkout
      summary: Perform a one-click purchase
      description: >-
        Initiate a one-click purchase for a given Price Point using the user's
        saved payment method.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OneClick'
      responses:
        '200':
          description: Payment status and details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckoutCreatePaymentOut'
      security: []
components:
  schemas:
    OneClick:
      properties:
        external_id:
          description: Your unique identifier for the user
          maxLength: 256
          title: Customer Id
          type: string
        pp_ident:
          description: Unique identifier of the price point
          maxLength: 256
          pattern: ^[-A-Za-z_0-9]{1,256}$
          title: price point ident
          type: string
        client_metadata:
          additionalProperties: true
          description: Custom metadata from your client application
          title: Client Metadata
          type: object
      required:
        - external_id
        - pp_ident
      title: OneClick
      type: object
    CheckoutCreatePaymentOut:
      properties:
        action_required_token:
          title: Action Required Token
          type: string
        checkout_status:
          $ref: '#/components/schemas/CheckoutPaymentStatus'
        failed_message_for_user:
          title: Failed Message For User
          type: string
        order_id:
          format: uuid
          type: string
          nullable: true
      required:
        - action_required_token
        - checkout_status
        - failed_message_for_user
        - order_id
      title: CheckoutCreatePaymentOut
      type: object
    CheckoutPaymentStatus:
      enum:
        - processing
        - succeeded
        - failed
        - cancelled
      title: CheckoutPaymentStatus
      type: string
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Billing API. Required for all requests.

````